
Foreman - Bug #13247

Template fullscreen not resizing text area

01/15/2016 01:47 PM - Michael Deffenbaugh

Status: Closed   

Priority: Normal   

Assignee: Tom Caspy   

Category: Templates   

Target version: 1.10.2   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/3106

  

Description

Full screen button in template editor window works, but text field does not resize (same number of lines displayed as when it is the

smaller window).

Workaround - Once full screened, click between "Diff" and "Preview", then back to "Input".  This causes the window (and

subsequently the text field to redraw itself.  This fixes the issue until the page is reloaded (even when switching between fullscreen

and regular multiple times).

Associated revisions

Revision 29e51795 - 01/21/2016 05:18 AM - Tom Caspy

fixes #13247 - make sure Ace editor resizes on fullscreen

Revision 428d448a - 02/23/2016 09:59 AM - Tom Caspy

fixes #13247 - make sure Ace editor resizes on fullscreen

(cherry picked from commit 29e517956da1243353ae9e948033c5d5ffeafd87)

History

#1 - 01/18/2016 03:00 AM - Dominic Cleal

- Category set to Templates

#2 - 01/20/2016 10:42 AM - Tom Caspy

- Assignee set to Tom Caspy

#3 - 01/21/2016 04:05 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/3106 added

#4 - 01/21/2016 06:03 AM - Tom Caspy

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 29e517956da1243353ae9e948033c5d5ffeafd87.

#5 - 01/21/2016 10:40 AM - Dominic Cleal

- translation missing: en.field_release set to 123
